MozillaZine


The Official Win32 20040901 [Br/Tr] builds are out.

Discussion about official Mozilla Firefox builds
Volkm@r
 
Posts: 226
Joined: September 29th, 2003, 12:03 am

Post Posted September 1st, 2004, 3:26 am

Peter(6) wrote:This may mean you have outdated extensions.
They need to be version1.0+

Uninstall them and update them from U.M.O.

Uninstalling impossible since no extension can be installed in a clean profile.
In a yesterday's profile with some extensions installed, Extension Manager completely freezes Firefox.
Which extensions are "version1.0+" already?
When I tried with <strong>Adblock</strong> from U.M.O, I first got the installation dialogue
<img src="http://home.arcor.de/plsdontreply/softinst.png">
and after "Install Now" it simply showed me an empty
<img src="http://home.arcor.de/plsdontreply/extens.png">

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20040901 Firefox/1.0 PR (NOT FINAL)
Last edited by Volkm@r on September 1st, 2004, 3:34 am, edited 1 time in total.

plato79
 
Posts: 18
Joined: August 20th, 2004, 10:45 pm

Post Posted September 1st, 2004, 3:33 am

Cusser wrote:Got JavaScript enabled?


Yes it is enabled.. But it was enabled in 0.9.1 release also.. And this error doesn't exist in that version

Peter(6)

User avatar
 
Posts: 13011
Joined: September 4th, 2003, 1:26 am
Location: Maassluis, The Netherlands

Post Posted September 1st, 2004, 3:49 am

Volkmar, that's not UMO you're downloading from and 0.5 is antique

go to https://update.mozilla.org/extensions/m ... .php?id=10
nightly build threads 20040225 (FF 0.8.0+) - 20120331 (FF14a)

Volkm@r
 
Posts: 226
Joined: September 29th, 2003, 12:03 am

Post Posted September 1st, 2004, 3:56 am

Peter(6) wrote:Volkmar, that's not UMO you're downloading from and 0.5 is antique

go to https://update.mozilla.org/extensions/m ... .php?id=10
That's exactly what I did.

kstahl
Moderator
 
Posts: 1521
Joined: December 22nd, 2003, 5:27 pm
Location: Stockholm, Sweden

Post Posted September 1st, 2004, 4:44 am

The version of Adblock available on U.M.O is actually an older version.

To get the absolutely latest version (which fixes some annoying bugs with the status bar) download from Adblock's homepage.

http://adblock.mozdev.org/dev.html

Don't be confused by the fact that it still has the same version number.

Peter(6)

User avatar
 
Posts: 13011
Joined: September 4th, 2003, 1:26 am
Location: Maassluis, The Netherlands

Post Posted September 1st, 2004, 5:02 am

kstahl wrote:The version of Adblock available on U.M.O is actually an older version.

To get the absolutely latest version (which fixes some annoying bugs with the status bar) download from Adblock's homepage.

http://adblock.mozdev.org/dev.html

Don't be confused by the fact that it still has the same version number.

http://adblock.mozdev.org/dev.html ->http://adblock.mozdev.org/adblock-0.5-dev.xpi
does NOT work because it has the wrong FF version number (0.9.0+) and not 1.0
nightly build threads 20040225 (FF 0.8.0+) - 20120331 (FF14a)

Volkm@r
 
Posts: 226
Joined: September 29th, 2003, 12:03 am

Post Posted September 1st, 2004, 5:13 am

Peter(6) wrote:http://adblock.mozdev.org/dev.html ->http://adblock.mozdev.org/adblock-0.5-dev.xpi
does NOT work because it has the wrong FF version number (0.9.0+) and not 1.0
Is there <strong>any</strong> other extension that has the correct version number and works?

Peter(6)

User avatar
 
Posts: 13011
Joined: September 4th, 2003, 1:26 am
Location: Maassluis, The Netherlands

Post Posted September 1st, 2004, 5:23 am

crap, now I can't install adblock anymore :-(

Cookiebutton 0.4 is 010+ compatible
nightly build threads 20040225 (FF 0.8.0+) - 20120331 (FF14a)

Volkm@r
 
Posts: 226
Joined: September 29th, 2003, 12:03 am

Post Posted September 1st, 2004, 6:27 am

Peter(6) wrote:crap, now I can't install adblock anymore :-(

Cookiebutton 0.4 is 010+ compatible
This one?
<img src="http://home.arcor.de/plsdontreply/softinst.png">
It sucks instead of being installed:
<img src="http://home.arcor.de/plsdontreply/extens.png">

Is this worth filing a <strong>new</strong> bug?

cflakes
 
Posts: 5
Joined: August 24th, 2004, 6:30 pm

Post Posted September 1st, 2004, 6:45 am

Not all extensions are broken. Installations of User Agent Switcher and Download Statusbar both worked, but several other extensions didn't.

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20040901 Firefox/1.0 PR (NOT FINAL)

Peter(6)

User avatar
 
Posts: 13011
Joined: September 4th, 2003, 1:26 am
Location: Maassluis, The Netherlands

Post Posted September 1st, 2004, 6:56 am

Weird, I installed cookiebutton 0.4 w/o a problem.

btw, I asked someone to repack AdBlock to 1.0+
nightly build threads 20040225 (FF 0.8.0+) - 20120331 (FF14a)

Volkm@r
 
Posts: 226
Joined: September 29th, 2003, 12:03 am

Post Posted September 1st, 2004, 7:04 am

cflakes wrote:Not all extensions are broken. Installations of User Agent Switcher and Download Statusbar both worked, but several other extensions didn't.
No chance of getting installed any of them.

cflakes wrote:Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20040901 Firefox/1.0 PR (NOT FINAL)
Using the build from ftp://ftp.mozilla.org/pub/mozilla.org/f ... 01-00-0.9/ ?

ieremiou

User avatar
 
Posts: 637
Joined: July 20th, 2004, 3:21 pm
Location: Brooklyn, NYC

Post Posted September 1st, 2004, 7:19 am

Might be a linux issue?
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20050922 Firefox/1.6a1 - Build ID: 2005092210

Greg K Nicholson

User avatar
 
Posts: 1328
Joined: September 28th, 2003, 8:58 am

Post Posted September 1st, 2004, 7:41 am

Peter(6) wrote:Weird, I installed cookiebutton 0.4 w/o a problem.

btw, I asked someone to repack AdBlock to 1.0+
Peter, extensions shouldn't be claiming to be compatible with 1.0 as it's not yet out (see Extension Versioning). To work with 1.0PR, they should use a maxVersion of 0.10.

Ben has given the OK begin doing this before 1.0PR comes out; unfortunately he did it a while ago, so extensions compatible with nightlies from then may not actually be compatible with 1.0PR, especially given the extensive changes that have just gone in.

tvinhas
 
Posts: 23
Joined: August 6th, 2004, 6:46 am

Post Posted September 1st, 2004, 7:49 am

Unfortunately almost all extensions are not working with the 1.0PR (NOT FINAL).

Damn!

Return to Firefox Builds


Who is online

Users browsing this forum: No registered users and 0 guests